Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderObjectImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderObjectImpl

All Implemented Interfaces
  OrderObject, PoolObject

Deprecated

    @Deprecated
    public class OrderObjectImpl

extends Object
implements OrderObject

Interface to be implemented by 'orders' used as pool objects.

Constructor Summary
`OrderObjectImpl(Pool pool, Quote quote, String uid)` Deprecated

Method Summary
`Money` | `getActualPrice()` Deprecated returns the current price of the object, which may be equal to the base price.
`Money` | `getBasePrice()` Deprecated Corresponds to the subtotal for an order and the base price for shipping
`Pool` | `getPool()` Deprecated
`String` | `getUID()` Deprecated Returns the unique identifying string for this object.
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderObjectImpl

    public OrderObjectImpl(Pool pool,
                           Quote quote,
                           String uid)

  Deprecated

Method Detail

### getBasePrice

    public Money getBasePrice()

  Deprecated
  Corresponds to the subtotal for an order and the base price for shipping

  Specified by:
    `getBasePrice` in interface `OrderObject`
  Returns
    Money a money object that represents the base price of the object.
  See Also
    `Money`

### getActualPrice

    public Money getActualPrice()

  Deprecated
  returns the current price of the object, which may be equal to the base price.

  Specified by:
    `getActualPrice` in interface `PoolObject`
  Returns
    Money a money object that represents the current price of the object.
  See Also
    `Money`

### getPool

    public Pool getPool()

  Deprecated
  Specified by:
    `getPool` in interface `PoolObject`

### getUID

    public String getUID()

  Deprecated
  Description copied from interface: `PoolObject`
  Returns the unique identifying string for this object.

  Specified by:
    `getUID` in interface `PoolObject`
  Returns
    String unique identifying string for this PoolObject.

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.